#!/bin/bash
export JAVA_HOME=/usr/java/default
export HADOOP_CLASSPATH=${JAVA_HOME}/lib/tools.jar

echo "Prepare output and input directories and files..."
hadoop fs -mkdir -p "hadoop-examples/wordcount" "hadoop-examples/wordcount/input"
hadoop fs -test -d "hadoop-examples/wordcount/output"
if [ "$?" == "0" ]; then
    hadoop fs -rm -r "hadoop-examples/wordcount/output"
fi
hadoop fs -put -f input/file* "hadoop-examples/wordcount/input"

echo "Compiling Wordcount Program..."
mkdir -p "/tmp/${USER}/hadoop-examples/wordcount/"
cp WordCount.java "/tmp/${USER}/hadoop-examples/wordcount/"
cd "/tmp/${USER}/hadoop-examples/wordcount/"
hadoop com.sun.tools.javac.Main WordCount.java
jar cf wordcount.jar WordCount*.class

echo "Running wordcount program..."
hadoop jar wordcount.jar WordCount "hadoop-examples/wordcount/input" "hadoop-examples/wordcount/output"
echo "================= FINAL WORDCOUNT OUTPUT ================================"
hadoop fs -cat "hadoop-examples/wordcount/output"/*
echo "========================================================================="
